<script setup lang="ts">
import { defineProps, defineEmits } from "vue";
import { TrashIcon } from "@heroicons/vue/24/outline";
import type { TUser } from "../types/user.type";

const props = defineProps<{
  id: TUser["id"];
}>();

const emits = defineEmits<{
  click: [id: TUser["id"]];
}>();
</script>

<template>
  <button
    class="rounded-md p-1 transition-colors duration-200 hover:bg-red-100 focus:bg-red-100 focus:outline-none"
    title="Delete User"
    @click="emits('click', props.id)"
  >
    <TrashIcon class="h-5 w-5 text-red-500" />
  </button>
</template>
